Bug 188258 - Grub error after kickstart install
Grub error after kickstart install
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: booty (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-07 10:32 EDT by stuart.mclaren
Modified: 2012-06-20 09:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:25:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The kickstart file being used (5.48 KB, text/plain)
2006-04-07 10:36 EDT, stuart.mclaren
no flags Details
Logs for bad install (45.34 KB, application/octet-stream)
2006-04-07 10:39 EDT, stuart.mclaren
no flags Details
Logs for 'good' install (22.68 KB, application/octet-stream)
2006-04-07 10:40 EDT, stuart.mclaren
no flags Details

  None (edit)
Description stuart.mclaren 2006-04-07 10:32:07 EDT
Description of problem:


After installing Red Had Enterprise Linux Update 3
with kickstart on a HP ProLiant DL360 G4p I got the following grub error:

-----------------------------------
root (hd6,0)

Error 5: Partition table invalid or corrupt

Press any key to continue...
----------------------------------------------------------------------------------

This error occurred every time I re-installed. I could boot the system if I
edited grub.conf to specify 
(hd0,0) instead of (hd6,0).

(I also saw this problem installing with update 2).

I spent some time looking at the problem and found that I would avoid the grub
error and
be able to boot the system without manually specifying hd0 if I changed the
partition layout
of two of the disks.

The paritions looked like:

major minor  #blocks  name

 104     0    1048560 cciss/c0d0
 104    16    4194240 cciss/c0d1
 104    32 2147483647 cciss/c0d2
 104    48    1048560 cciss/c0d3
 104    64    4194240 cciss/c0d4
 104    80 2147483647 cciss/c0d5
 106     0   71126640 cciss/c2d0
 106     1   16386268 cciss/c2d0p1
 106     2    8193150 cciss/c2d0p2
 106     3   46540305 cciss/c2d0p3

'c2d0' is the server's internal drive (on a HP Smart Array 6i Controller).
All c0d[X] disks were on the external HP Smart Array 6400 Controller controllers
(these
are attached via the external PCI slots.

Here's the BIOS view of things:

----------------------------------------------------------------------------------
ProLiant System BIOS - P54 (11/11/2005)
Copyright 1982, 2005 Hewlett-Packard Development Group, L.P.


Processor 1 initialized at 3.60 GHz/800 MHz(2MB L2)

Advanced Memory Protection Mode: Advanced ECC Support
Redundant ROM Detected - This system contains a valid backup system ROM.

Integrated Lights-Out 1.75 Mar 31 2005 192.168.16.75

Slot 0  HP Smart Array 6i Controller         (192MB, v2.48)   1 Logical Drive
Slot 2  HP Smart Array 6400 Controller       (192MB, v2.58)   6 Logical Drives
Slot 2  HP Smart Array 6400 EM Controller    (192MB, v2.58)   0 Logical Drives
1785-Slot 2 Drive Array Not Configured
     No Drives Detected
----------------------------------------------------------------------------------

The install would fail (ie I would get the grub error message) when partitions
c0d3 and c0d4 had been set up with:

mke2fs -j /dev/cciss/c0d3
'


If I cleared these partitions with

parted /dev/cciss/c0d3
mklabel msdos
parted /dev/cciss/c0d4
mklabel msdos

The install would complete and I would not encounter the grub error message
because grub.conf had correctly
specified (hd0,0). 

If I then did 'mke2fs -j /dev/cciss/c0d3 ; mke2fs -j /dev/cciss/c0d4' again the
grub error
message would appear after an install.


===============================================================================================================================


Overview of partitions for 'bad' install (ie grub error was subsequently
encountered)

"fdisk -l" for all partitions:

Disk /dev/cciss/c0d0 doesn't contain a valid partition table

Disk /dev/cciss/c0d0: 1073 MB, 1073725440 bytes
255 heads, 32 sectors/track, 257 cylinders
Units = cylinders of 8160 * 512 = 4177920 bytes


Disk /dev/cciss/c0d1: 4294 MB, 4294901760 bytes
255 heads, 32 sectors/track, 1028 cylinders
Units = cylinders of 8160 * 512 = 4177920 bytes

           Device Boot      Start         End      Blocks   Id  System

Disk /dev/cciss/c0d2: 2199.0 GB, 2199023255040 bytes
255 heads, 32 sectors/track, 526344 cylinders
Units = cylinders of 8160 * 512 = 4177920 bytes

           Device Boot      Start         End      Blocks   Id  System
Disk /dev/cciss/c0d3 doesn't contain a valid partition table

Disk /dev/cciss/c0d3: 1073 MB, 1073725440 bytes
255 heads, 32 sectors/track, 257 cylinders
Units = cylinders of 8160 * 512 = 4177920 bytes

Disk /dev/cciss/c0d4 doesn't contain a valid partition table

Disk /dev/cciss/c0d4: 4294 MB, 4294901760 bytes
255 heads, 32 sectors/track, 1028 cylinders
Units = cylinders of 8160 * 512 = 4177920 bytes


Disk /dev/cciss/c0d5: 2199.0 GB, 2199023255040 bytes
255 heads, 32 sectors/track, 526344 cylinders
Units = cylinders of 8160 * 512 = 4177920 bytes

           Device Boot      Start         End      Blocks   Id  System

Disk /dev/cciss/c2d0: 72.8 GB, 72833679360 bytes
255 heads, 63 sectors/track, 8854 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

           Device Boot      Start         End      Blocks   Id  System
/dev/cciss/c2d0p1   *           1        2040    16386268+  83  Linux
/dev/cciss/c2d0p2            2041        3060     8193150   82  Linux swap
/dev/cciss/c2d0p3            3061        8854    46540305   83  Linux


"dumpe2fs -h" for all partitions:

dumpe2fs 1.35 (28-Feb-2004)
dumpe2fs: Bad magic number in super-block while trying to open /dev/cciss/c0d0
Couldn't find valid filesystem superblock.
dumpe2fs 1.35 (28-Feb-2004)
dumpe2fs: Bad magic number in super-block while trying to open /dev/cciss/c0d1
Couldn't find valid filesystem superblock.
dumpe2fs 1.35 (28-Feb-2004)
dumpe2fs: Bad magic number in super-block while trying to open /dev/cciss/c0d2
Couldn't find valid filesystem superblock.
dumpe2fs 1.35 (28-Feb-2004)
Filesystem volume name:   <none>
Last mounted on:          <not available>
Filesystem UUID:          cd18f543-b450-4376-8b93-5660c047dacb
Filesystem magic number:  0xEF53
Filesystem revision #:    1 (dynamic)
Filesystem features:      has_journal resize_inode filetype sparse_super large_file
Default mount options:    (none)
Filesystem state:         clean
Errors behavior:          Continue
Filesystem OS type:       Linux
Inode count:              131072
Block count:              262140
Reserved block count:     13107
Free blocks:              253595
Free inodes:              131061
First block:              0
Block size:               4096
Fragment size:            4096
Reserved GDT blocks:      63
Blocks per group:         32768
Fragments per group:      32768
Inodes per group:         16384
Inode blocks per group:   512
Filesystem created:       Thu Apr  6 13:04:24 2006
Last mount time:          n/a
Last write time:          Thu Apr  6 13:04:24 2006
Mount count:              0
Maximum mount count:      38
Last checked:             Thu Apr  6 13:04:24 2006
Check interval:           15552000 (6 months)
Next check after:         Tue Oct  3 13:04:24 2006
Reserved blocks uid:      0 (user root)
Reserved blocks gid:      0 (group root)
First inode:              11
Inode size:               128
Journal inode:            8
Default directory hash:   tea
Directory Hash Seed:      aad814ff-f6b6-4d42-8ebb-6d48de5136d9
Journal backup:           inode blocks

dumpe2fs 1.35 (28-Feb-2004)
Filesystem volume name:   <none>
Last mounted on:          <not available>
Filesystem UUID:          9f1a46e9-314b-4137-81ae-d379bd685215
Filesystem magic number:  0xEF53
Filesystem revision #:    1 (dynamic)
Filesystem features:      has_journal resize_inode filetype sparse_super large_file
Default mount options:    (none)
Filesystem state:         clean
Errors behavior:          Continue
Filesystem OS type:       Linux
Inode count:              524288
Block count:              1048560
Reserved block count:     52428
Free blocks:              1021848
Free inodes:              524277
First block:              0
Block size:               4096
Fragment size:            4096
Reserved GDT blocks:      255
Blocks per group:         32768
Fragments per group:      32768
Inodes per group:         16384
Inode blocks per group:   512
Filesystem created:       Thu Apr  6 13:04:38 2006
Last mount time:          n/a
Last write time:          Thu Apr  6 13:04:38 2006
Mount count:              0
Maximum mount count:      23
Last checked:             Thu Apr  6 13:04:38 2006
Check interval:           15552000 (6 months)
Next check after:         Tue Oct  3 13:04:38 2006
Reserved blocks uid:      0 (user root)
Reserved blocks gid:      0 (group root)
First inode:              11
Inode size:               128
Journal inode:            8
Default directory hash:   tea
Directory Hash Seed:      76d19016-81d2-41d0-b149-405e503c80fb
Journal backup:           inode blocks

dumpe2fs 1.35 (28-Feb-2004)
dumpe2fs: Bad magic number in super-block while trying to open /dev/cciss/c0d5
Couldn't find valid filesystem superblock.
dumpe2fs 1.35 (28-Feb-2004)
dumpe2fs: Bad magic number in super-block while trying to open /dev/cciss/c2d0
Couldn't find valid filesystem superblock.


"device.map" for 'bad' install

# this device map was generated by anaconda
(fd0)     /dev/fd0
(hd6)     /dev/cciss/c2d0

"grub.conf" for 'bad' install

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd6,0)
#          kernel /boot/vmlinuz-version ro root=/dev/cciss/c2d0p1
#          initrd /boot/initrd-version.img
#boot=/dev/cciss/c2d0p1
default=0
timeout=5
#splashimage=(hd6,0)/boot/grub/splash.xpm.gz
hiddenmenu
title Red Hat Enterprise Linux AS (2.6.9-27.ELsmp)
        root (hd6,0)
        kernel /boot/vmlinuz-2.6.9-27.ELsmp ro root=LABEL=/1
        initrd /boot/initrd-2.6.9-27.ELsmp.img
title Red Hat Enterprise Linux AS-up (2.6.9-27.EL)
        root (hd6,0)
        kernel /boot/vmlinuz-2.6.9-27.EL ro root=LABEL=/1
        initrd /boot/initrd-2.6.9-27.EL.img

Dialogue boxes for 'bad' install:

'X' shows the option I picked

Red Hat Enterprise Linux AS (C) 2004 Red Hat, Inc.
                ÆÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÍ Warning ÇÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÌ
                Å                                             Å
                Å The partition table on device cciss/c0d0    Å
                Å was unreadable. To create new partitions    Å
                Å it must be initialized, causing the loss    Å
                Å of ALL DATA on this drive.                  Å
                Å                                             Å
                Å This operation will override any previous   Å
                Å installation choices about which drives     Å
                Å to ignore.                                  Å
                Å                                             Å
                Å Would you like to initialize this drive,    Å
                Å erasing ALL DATA?                           Å
                Å                                             Å
                Å        ÆÊÊÊÊÊÌ               ÆÊÊÊÊÌ         Å
                Å        Å Yes Å               Å No Å X       Å
                Å        ÃÊÊÊÊÊÉ               ÃÊÊÊÊÉ         Å
                Å                                             Å
                Å                                             Å
                ÃÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÉ



Red Hat Enterprise Linux AS (C) 2004 Red Hat, Inc.




   ÆÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÍ Warning ÇÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÌ
   Å                                                                        Å
   Å /dev/cciss/c0d3 currently has a loop partition layout.  To use this    Å
   Å disk for the installation of Red Hat Enterprise Linux AS, it must be   Å
   Å re-initialized, causing the loss of ALL DATA on this drive.            Å
   Å                                                                        Å
   Å Would you like to format this drive?                                   Å
   Å                                                                        Å
   Å          ÆÊÊÊÊÊÊÊÊÊÊÊÊÊÊÌ                   ÆÊÊÊÊÊÊÊÊÊÊÊÊÊÊÌ           Å
   Å          Å Ignore drive Å X                 Å Format drive Å           Å
   Å          ÃÊÊÊÊÊÊÊÊÊÊÊÊÊÊÉ                   ÃÊÊÊÊÊÊÊÊÊÊÊÊÊÊÉ           Å
   Å                                                                        Å
   Å                                                                        Å
   ÃÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÉ




Red Hat Enterprise Linux AS (C) 2004 Red Hat, Inc.




   ÆÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÍ Warning ÇÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÌ
   Å                                                                        Å
   Å /dev/cciss/c0d4 currently has a loop partition layout.  To use this    Å
   Å disk for the installation of Red Hat Enterprise Linux AS, it must be   Å
   Å re-initialized, causing the loss of ALL DATA on this drive.            Å
   Å                                                                        Å
   Å Would you like to format this drive?                                   Å
   Å                                                                        Å
   Å          ÆÊÊÊÊÊÊÊÊÊÊÊÊÊÊÌ                   ÆÊÊÊÊÊÊÊÊÊÊÊÊÊÊÌ           Å
   Å          Å Ignore drive Å X                 Å Format drive Å           Å
   Å          ÃÊÊÊÊÊÊÊÊÊÊÊÊÊÊÉ                   ÃÊÊÊÊÊÊÊÊÊÊÊÊÊÊÉ           Å
   Å                                                                        Å
   Å                                                                        Å
   ÃÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÉ





  <Tab>/<Alt-Tab> between elements   |  <Space> selects   |  <F12> next screen


======================================================================================================


Overview of partitions for 'good' install (ie grub error was not encountered)


A parted 'mklabel msdos' was performed for c0d3 and c0d4:

dumpe2fs -h then showed ......


dumpe2fs 1.35 (28-Feb-2004)
dumpe2fs: Bad magic number in super-block while trying to open /dev/cciss/c0d3
Couldn't find valid filesystem superblock.
[root@delta75_EL4_u3 boot]$ dumpe2fs -h /dev/cciss/c0d4
dumpe2fs 1.35 (28-Feb-2004)
dumpe2fs: Bad magic number in super-block while trying to open /dev/cciss/c0d4
Couldn't find valid filesystem superblock.

Now the grub error did not appear:

device.map:

# this device map was generated by anaconda
(fd0)     /dev/fd0
(hd0)     /dev/cciss/c2d0

grub.conf:

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,0)
#          kernel /boot/vmlinuz-version ro root=/dev/cciss/c2d0p1
#          initrd /boot/initrd-version.img
#boot=/dev/cciss/c2d0p1
default=0
timeout=5
#splashimage=(hd0,0)/boot/grub/splash.xpm.gz
hiddenmenu
title Red Hat Enterprise Linux AS (2.6.9-27.ELsmp)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.9-27.ELsmp ro root=LABEL=/
        initrd /boot/initrd-2.6.9-27.ELsmp.img
title Red Hat Enterprise Linux AS-up (2.6.9-27.EL)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.9-27.EL ro root=LABEL=/
        initrd /boot/initrd-2.6.9-27.EL.img

Dialogue boxes for 'good' install:


'X' shows the option I picked





Red Hat Enterprise Linux AS (C) 2004 Red Hat, Inc.
                ÆÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÍ Warning ÇÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÌ
                Å                                             Å
                Å The partition table on device cciss/c0d0    Å
                Å was unreadable. To create new partitions    Å
                Å it must be initialized, causing the loss    Å
                Å of ALL DATA on this drive.                  Å
                Å                                             Å
                Å This operation will override any previous   Å
                Å installation choices about which drives     Å
                Å to ignore.                                  Å
                Å                                             Å
                Å Would you like to initialize this drive,    Å
                Å erasing ALL DATA?                           Å
                Å                                             Å
                Å        ÆÊÊÊÊÊÌ               ÆÊÊÊÊÌ         Å
                Å        Å Yes Å               Å No Å X       Å
                Å        ÃÊÊÊÊÊÉ               ÃÊÊÊÊÉ         Å
                Å                                             Å
                Å                                             Å
                ÃÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÊÉ



  <Tab>/<Alt-Tab> between elements   |  <Space> selects   |  <F12> next screen


============================================================================================================================

I could get around the problem if I specified the following in the kickstart file:

bootloader --driveorder cciss/c2d0

ie even if I had done 'mkfs on c0d3 and c0d4' the grub error would be avoided.






Version-Release number of selected component (if applicable):

Redhat EL Update 3 (also occurs on update 2)

How reproducible:

Every time.

Steps to Reproduce:
1. Using G4p and drives on external 6404s configured as explained in detail.
2. Perform kickstart install with attached kickstart file.
3.
  
Actual results:

root (hd6,0)

Error 5: Partition table invalid or corrupt

Press any key to continue...

Expected results:

Node should boot.

Additional info:
Comment 1 stuart.mclaren 2006-04-07 10:36:36 EDT
Created attachment 127463 [details]
The kickstart file being used

Attaching the kickstart file I used.
Comment 2 stuart.mclaren 2006-04-07 10:39:01 EDT
Created attachment 127464 [details]
Logs for bad install

Logs (anaconda etc) for 'bad' install
Comment 3 stuart.mclaren 2006-04-07 10:40:19 EDT
Created attachment 127465 [details]
Logs for 'good' install

Logs (Anaconda etc) for good install
Comment 4 Jiri Pallich 2012-06-20 09:25:02 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.